Skip to main content
Back to API List To fetch feedback survey scores provided by users and push data for visualization on the Feedback Analytics module using the Survey Type and Survey Name.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/saveFeedback
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Metrics; Admin Console: Bot Analytics > Feedback Analytics

Path Parameters

ParameterTypeDescription
hoststring, requiredThe environment URL. For example, https://platform.kore.ai.
BotIdstring, requiredBot ID or Stream ID. Access it under General Settings on the App Builder.

Sample Request

curl --location 'https://{{host}}/api/1.1/public/bot/{{botId}}/saveFeedback' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"channelUId":"qatesting@vomoto.com",
"name":"Thumb",
"score":0,
"channel":"rtm",
"type":"THUMB",
"language":"en",
"message":""
}'

Request Body Parameters

ParameterTypeDescription
channelUIdstring, requiredThe ID of the user on the channel (email or enterprise unique ID).
namestring, requiredThe name of the survey provided by the user.
scorenumber, requiredThe feedback survey score.
channelstring, requiredThe channel used for the feedback survey.
typestring, requiredFeedback survey type: THUMB, NPS, or CSAT.
languagestring, requiredThe language in which the feedback survey is triggered.
messagestring, requiredThe message prompted to the user during the feedback survey.

Sample Response

{
  "botId": "st-053cd130-f983-577a-8aad-2504xxxxxxxx",
  "channel": "rtm",
  "language": "en",
  "score": 0,
  "timestamp": "2023-03-23T07:07:43.538Z",
  "createdOn": "2023-03-23T07:07:43.538Z",
  "timestampValue": 1679555263538,
  "type": "THUMB",
  "name": "Thumb",
  "channelUId": "qatesting@vomoto.com",
  "orgId": "o-89b0abd5-19af-5017-a80a-xxxxxxc7a6xx",
  "accountId": "60dbef1bc2f5c25106cdb57d",
  "userId": "u-f5d97fb8-8767-5b6c-a28d-xxxxxx281exx",
  "_id": "641bfabf0353f52d9xxxxxxx",
  "__v": 0
}

Response Body Parameters

ParameterTypeDescription
botIdstringThe ID of the AI Agent.
channelstringThe channel on which the user responded.
languagestringThe language of the feedback survey.
scorenumberThe feedback score.
timestampdateFeedback response date in ISO format.
createdOndateFeedback creation date in ISO format.
timestampValuenumberCreation date as epoch timestamp.
typestringThe feedback survey type.
namestringThe feedback survey name.
channelUIdstringThe end-user’s channel user identifier.
orgIdstringOrganization ID the bot belongs to.
accountIdstringAccount ID the bot belongs to.
userIdstringUser ID.
_idstringUnique identifier for the record.